cURL
curl --request POST \
--url https://api.kynva.ai/api/v1/ai/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"substyle": "<string>",
"colors": [
"<string>"
],
"width": 1152,
"height": 1152,
"seed": 123
}
'import requests
url = "https://api.kynva.ai/api/v1/ai/generate"
payload = {
"prompt": "<string>",
"substyle": "<string>",
"colors": ["<string>"],
"width": 1152,
"height": 1152,
"seed": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
substyle: '<string>',
colors: ['<string>'],
width: 1152,
height: 1152,
seed: 123
})
};
fetch('https://api.kynva.ai/api/v1/ai/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Reference
Post apiv1aigenerate
POST
/
api
/
v1
/
ai
/
generate
cURL
Authorizations
Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)
Body
application/json
Required string length:
1 - 2000Available options:
realistic_image, digital_illustration, vector_illustration, icon Maximum array length:
5Pattern:
^#[0-9A-Fa-f]{6}$Required range:
256 <= x <= 2048Required range:
256 <= x <= 2048Response
200
Default Response
⌘I